/*This is the data step to import one of the annual single-file CSV files
from the QCEW FTP site. Remember to replace the infile path with the 
folder path and file name of the file you downloaded.*/

data qcewData.qcewSingleFile;
	infile "c:\SAS\data\2010.annual.singlefile.csv"
		dsd /*comma delimited*/ firstobs=2 /*remove header*/;
	/*colon gives the delimiter priority over the number of positions to read*/
	input 	area_fips :$5.
			own :$1.
			naics :$6.
			agglvl_code :$2.
			size_code :$1.
			year :$4.
			qtr :$1.
			disclosure_code :$1.
			annual_avg_estabs :8.
			annual_avg_emplvl :9.
			total_annual_wages :15.
			taxable_annual_wages :15.
			annual_contributions :15.
			annual_avg_wkly_wage :8.
			avg_annual_pay :8.
			;

run;
